<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/JSON/JSONUtils.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">JSONUtils.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;cstdint&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_logger_utils_8h_source.html">AVSCommon/Utils/Logger/LoggerUtils.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for JSONUtils.h:</div>
<div class="dyncontent">
<div class="center"><img src="_j_s_o_n_utils_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_j_s_o_n_2_j_s_o_n_utils_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_j_s_o_n_2_j_s_o_n_utils_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_j_s_o_n_2_j_s_o_n_utils_8h">
<area shape="rect" id="node5" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="471,119,647,157"/>
<area shape="rect" id="node7" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="623,205,799,244"/>
<area shape="rect" id="node12" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="308,292,522,331"/>
<area shape="rect" id="node16" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="786,379,962,417"/>
<area shape="rect" id="node17" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1021,292,1197,331"/>
<area shape="rect" id="node22" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="749,292,946,331"/>
<area shape="rect" id="node23" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1306,465,1482,504"/>
<area shape="rect" id="node18" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1181,379,1357,417"/>
<area shape="rect" id="node20" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="969,465,1145,504"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_j_s_o_n_utils_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_j_s_o_n_2_j_s_o_n_utils_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_j_s_o_n_2_j_s_o_n_utils_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_j_s_o_n_2_j_s_o_n_utils_8hdep">
<area shape="rect" id="node2" href="_audio_activity_tracker_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/test/AudioActivity\lTrackerTest.cpp" alt="" coords="5,125,196,177"/>
<area shape="rect" id="node3" href="_visual_activity_tracker_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/test/VisualActivity\lTrackerTest.cpp" alt="" coords="220,125,413,177"/>
<area shape="rect" id="node4" href="_a_v_s_directive_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/AVSDirective.cpp" alt="" coords="437,125,618,177"/>
<area shape="rect" id="node5" href="_blocking_policy_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/BlockingPolicy.cpp" alt="" coords="642,125,823,177"/>
<area shape="rect" id="node6" href="_exception_encountered_sender_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/ExceptionEncounteredSender.cpp" alt="" coords="848,125,1074,177"/>
<area shape="rect" id="node7" href="_exception_encountered_sender_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/ExceptionEncounteredSenderTest.cpp" alt="" coords="1098,125,1349,177"/>
<area shape="rect" id="node8" href="_j_s_o_n_generator_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/JSON/JSONGenerator.cpp" alt="" coords="1374,125,1580,177"/>
<area shape="rect" id="node9" href="_j_s_o_n_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/JSON/JSONUtils.cpp" alt="" coords="1604,125,1776,177"/>
<area shape="rect" id="node10" href="_j_s_o_n_util_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/test/JSONUtilTest.cpp" alt="" coords="1801,125,1961,177"/>
<area shape="rect" id="node11" href="_audio_input_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/src/AudioInputProcessor.cpp" alt="" coords="1984,125,2204,177"/>
<area shape="rect" id="node12" href="_audio_input_processor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/test/AudioInputProcessor\lTest.cpp" alt="" coords="2228,119,2427,184"/>
<area shape="rect" id="node13" href="_alert_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Alert.cpp" alt="" coords="2451,125,2604,177"/>
<area shape="rect" id="node14" href="_alerts_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/AlertsCapability\lAgent.cpp" alt="" coords="2628,119,2805,184"/>
<area shape="rect" id="node15" href="_stream_format_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/include/AudioPlayer\l/StreamFormat.h" alt="" coords="2829,119,3047,184"/>
<area shape="rect" id="node17" href="_clear_behavior_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/include/AudioPlayer\l/ClearBehavior.h" alt="" coords="3072,119,3290,184"/>
<area shape="rect" id="node18" href="_play_behavior_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/include/AudioPlayer\l/PlayBehavior.h" alt="" coords="3314,119,3533,184"/>
<area shape="rect" id="node19" href="_audio_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/src/AudioPlayer.cpp" alt="" coords="3557,125,3775,177"/>
<area shape="rect" id="node20" href="_audio_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/test/AudioPlayer\lTest.cpp" alt="" coords="3799,119,3997,184"/>
<area shape="rect" id="node21" href="_bluetooth_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/Bluetooth.cpp" alt="" coords="4021,125,4210,177"/>
<area shape="rect" id="node22" href="_do_not_disturb_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/src/DoNotDisturb\lCapabilityAgent.cpp" alt="" coords="4233,119,4443,184"/>
<area shape="rect" id="node23" href="_equalizer_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/src/EqualizerCapability\lAgent.cpp" alt="" coords="4467,119,4687,184"/>
<area shape="rect" id="node24" href="_external_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/src\l/ExternalMediaPlayer.cpp" alt="" coords="4711,119,4883,184"/>
<area shape="rect" id="node25" href="_external_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/test\l/ExternalMediaPlayerTest.cpp" alt="" coords="4907,119,5105,184"/>
<area shape="rect" id="node26" href="_interaction_model_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/InteractionModel/src\l/InteractionModelCapabilityAgent.cpp" alt="" coords="5129,119,5371,184"/>
<area shape="rect" id="node27" href="_notifications_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/src/Notifications\lCapabilityAgent.cpp" alt="" coords="5395,119,5591,184"/>
<area shape="rect" id="node28" href="_notifications_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/test/Notifications\lCapabilityAgentTest.cpp" alt="" coords="5615,119,5814,184"/>
<area shape="rect" id="node29" href="_playback_controller_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/PlaybackController/test\l/PlaybackControllerTest.cpp" alt="" coords="5838,119,6025,184"/>
<area shape="rect" id="node30" href="_settings_updated_event_sender_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Settings/src/SettingsUpdated\lEventSender.cpp" alt="" coords="6049,119,6246,184"/>
<area shape="rect" id="node31" href="_settings_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Settings/test/SettingsTest.cpp" alt="" coords="6270,125,6470,177"/>
<area shape="rect" id="node32" href="_speaker_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/src/SpeakerManager.cpp" alt="" coords="6495,125,6774,177"/>
<area shape="rect" id="node33" href="_endpoint_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/src/EndpointHandler.cpp" alt="" coords="6798,125,7017,177"/>
<area shape="rect" id="node34" href="_revoke_authorization_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/src/RevokeAuthorization\lHandler.cpp" alt="" coords="7041,119,7259,184"/>
<area shape="rect" id="node35" href="_software_info_sender_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/src/SoftwareInfoSender.cpp" alt="" coords="7284,125,7521,177"/>
<area shape="rect" id="node36" href="_software_info_send_request_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/src/SoftwareInfoSend\lRequest.cpp" alt="" coords="7545,119,7745,184"/>
<area shape="rect" id="node37" href="_user_inactivity_monitor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/src/UserInactivityMonitor.cpp" alt="" coords="7770,125,8013,177"/>
<area shape="rect" id="node38" href="_user_inactivity_monitor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/UserInactivityMonitor\lTest.cpp" alt="" coords="8037,119,8260,184"/>
<area shape="rect" id="node39" href="_template_runtime_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/TemplateRuntime/src/Template\lRuntime.cpp" alt="" coords="8285,119,8493,184"/>
<area shape="rect" id="node40" href="_template_runtime_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/TemplateRuntime/test\l/TemplateRuntimeTest.cpp" alt="" coords="8517,119,8695,184"/>
<area shape="rect" id="node41" href="_equalizer_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerUtils.cpp" alt="" coords="8719,125,8923,177"/>
<area shape="rect" id="node42" href="_test_directive_handler_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/TestDirectiveHandler.h" alt="" coords="9047,125,9272,177"/>
<area shape="rect" id="node43" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="8856,239,9028,291"/>
<area shape="rect" id="node44" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="9052,232,9267,297"/>
<area shape="rect" id="node45" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="9291,232,9503,297"/>
<area shape="rect" id="node46" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="9527,239,9736,291"/>
<area shape="rect" id="node47" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="9761,232,9964,297"/>
<area shape="rect" id="node48" href="_test_exception_encountered_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/TestExceptionEncountered\lSender.h" alt="" coords="9296,119,9546,184"/>
<area shape="rect" id="node49" href="_gui_renderer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/GuiRenderer.cpp" alt="" coords="9722,132,9967,171"/>
<area shape="rect" id="node50" href="_setting_string_conversion_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/SettingString\lConversionTest.cpp" alt="" coords="9991,125,10195,177"/>
<area shape="rect" id="node16" href="_audio_item_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/include/AudioPlayer\l/AudioItem.h" alt="" coords="2829,232,3047,297"/>
</map>
</div>
</div>
<p><a href="_j_s_o_n_utils_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json.html">alexaClientSDK::avsCommon::utils::json</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html">alexaClientSDK::avsCommon::utils::json::jsonUtils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab88d7709c7c0976c6547b92083e544dd"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#ab88d7709c7c0976c6547b92083e544dd">alexaClientSDK::avsCommon::utils::json::jsonUtils::getTag</a> ()</td></tr>
<tr class="separator:ab88d7709c7c0976c6547b92083e544dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fbef19f32e81db50d918cc3c2b5bcda"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a5fbef19f32e81db50d918cc3c2b5bcda">alexaClientSDK::avsCommon::utils::json::jsonUtils::findNode</a> (const rapidjson::Value &amp;jsonNode, const std::string &amp;key, rapidjson::Value::ConstMemberIterator *iteratorPtr)</td></tr>
<tr class="separator:a5fbef19f32e81db50d918cc3c2b5bcda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c3445572979f4dca168edabf10c17ea"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a9c3445572979f4dca168edabf10c17ea">alexaClientSDK::avsCommon::utils::json::jsonUtils::parseJSON</a> (const std::string &amp;jsonContent, rapidjson::Document *document)</td></tr>
<tr class="separator:a9c3445572979f4dca168edabf10c17ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa97f53eadfa124bb8797e1325b4dbe52"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#aa97f53eadfa124bb8797e1325b4dbe52">alexaClientSDK::avsCommon::utils::json::jsonUtils::convertToValue</a> (const rapidjson::Value &amp;documentNode, std::string *value)</td></tr>
<tr class="separator:aa97f53eadfa124bb8797e1325b4dbe52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab6c031209d9171aa85512fe7033ef1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a3ab6c031209d9171aa85512fe7033ef1">alexaClientSDK::avsCommon::utils::json::jsonUtils::convertToValue</a> (const rapidjson::Value &amp;documentNode, int64_t *value)</td></tr>
<tr class="separator:a3ab6c031209d9171aa85512fe7033ef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a412fc3128b7a5ed2dc7fe6f4bc721d1e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a412fc3128b7a5ed2dc7fe6f4bc721d1e">alexaClientSDK::avsCommon::utils::json::jsonUtils::convertToValue</a> (const rapidjson::Value &amp;documentNode, uint64_t *value)</td></tr>
<tr class="separator:a412fc3128b7a5ed2dc7fe6f4bc721d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5847e7c123fda65a6a95c3bf3e97999"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#aa5847e7c123fda65a6a95c3bf3e97999">alexaClientSDK::avsCommon::utils::json::jsonUtils::convertToValue</a> (const rapidjson::Value &amp;documentNode, bool *value)</td></tr>
<tr class="separator:aa5847e7c123fda65a6a95c3bf3e97999"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8fee520868204e654e46ccc3887651d"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:af8fee520868204e654e46ccc3887651d"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#af8fee520868204e654e46ccc3887651d">alexaClientSDK::avsCommon::utils::json::jsonUtils::retrieveValue</a> (const rapidjson::Value &amp;jsonNode, const std::string &amp;key, T *value)</td></tr>
<tr class="separator:af8fee520868204e654e46ccc3887651d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada99fd6893bc7cc654815944eade108c"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ada99fd6893bc7cc654815944eade108c"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#ada99fd6893bc7cc654815944eade108c">alexaClientSDK::avsCommon::utils::json::jsonUtils::retrieveValue</a> (const std::string jsonString, const std::string &amp;key, T *value)</td></tr>
<tr class="separator:ada99fd6893bc7cc654815944eade108c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64a4d58e058d6eeed808fed28bda5ef9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a64a4d58e058d6eeed808fed28bda5ef9">alexaClientSDK::avsCommon::utils::json::jsonUtils::jsonArrayExists</a> (const rapidjson::Value &amp;parsedDocument, const std::string &amp;key)</td></tr>
<tr class="separator:a64a4d58e058d6eeed808fed28bda5ef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
